Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509570 - CVE-2017-15228, CVE-2017-15227, CVE-2017-15721, CVE-2017-15723, CVE-2017-15722 affect irssi-1.0.4
Summary: CVE-2017-15228, CVE-2017-15227, CVE-2017-15721, CVE-2017-15723, CVE-2017-1572...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: irssi
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-04 20:03 UTC by Kees de Jong
Modified: 2018-01-10 02:01 UTC (History)
4 users (show)

Fixed In Version: irssi-1.0.5-1.fc26 irssi-1.0.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-09 16:47:56 UTC


Attachments (Terms of Use)

Description Kees de Jong 2017-11-04 20:03:04 UTC
Description of problem:
Current release (irssi-1.0.4-1.fc26.x86_64) is vulnerable, a fix has been out for 2 weeks: https://github.com/irssi/irssi/releases/tag/1.0.5


(a) When installing themes with unterminated colour formatting
    sequences, Irssi may access data beyond the end of the
    string. (CWE-126) Found by Hanno Böck.

    CVE-2017-15228 was assigned to this issue.

(b) While waiting for the channel synchronisation, Irssi may
    incorrectly fail to remove destroyed channels from the query list,
    resulting in use after free conditions when updating the state
    later on. Found by Joseph Bisch. (CWE-416 caused by CWE-672)

    CVE-2017-15227 was assigned to this issue.

(c) Certain incorrectly formatted DCC CTCP messages could cause NULL
    pointer dereference. Found by Joseph Bisch. This is a separate,
    but similar issue to CVE-2017-9468. (CWE-690)

    CVE-2017-15721 was assigned to this issue.

(d) Overlong nicks or targets may result in a NULL pointer dereference
    while splitting the message. Found by Joseph Bisch. (CWE-690)

    CVE-2017-15723 was assigned to this issue.

(e) In certain cases Irssi may fail to verify that a Safe channel ID
    is long enough, causing reads beyond the end of the string. Found
    by Joseph Bisch. (CWE-126)
    CVE-2017-15722 was assigned to this issue.



Please upgrade the package to solve these high risk vulnerabilities.

More info:
* https://irssi.org/2017/10/22/irssi-1.0.5-released/
* https://irssi.org/security/irssi_sa_2017_10.txt

Comment 1 Jaroslav Škarvada 2017-12-18 14:42:35 UTC
It has been fixed since October 23 in Rawhide. Please set the version field correctly next time. I am also going to rebase it in f26 and f27.

Comment 2 Fedora Update System 2017-12-18 14:50:27 UTC
irssi-1.0.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-08256ec38b

Comment 3 Fedora Update System 2017-12-18 14:56:13 UTC
irssi-1.0.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-61fa0a5e67

Comment 4 Fedora Update System 2017-12-18 22:02:48 UTC
irssi-1.0.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-08256ec38b

Comment 5 Fedora Update System 2017-12-18 22:40:53 UTC
irssi-1.0.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-61fa0a5e67

Comment 6 Fedora Update System 2018-01-09 16:47:56 UTC
irssi-1.0.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-10 02:01:18 UTC
irssi-1.0.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.